<?php
if (!defined('ABSPATH')) exit;
class Botami_Chatbot_Assets {
    /**
     * Register and enqueue all required styles and scripts
     */
    public function enqueue_assets() {
        // Register and enqueue styles
        wp_register_style(
            'botami-tailwind',
            BOTAMI_PLUGIN_URL . 'assets/css/tailwind-botami.min.css',
            [],
            '2.2.19'
        );

        wp_register_style(
            'botami-admin',
            BOTAMI_PLUGIN_URL . 'assets/css/admin.css',
            ['botami-tailwind'],
            BOTAMI_VERSION
        );

        // Register and enqueue scripts
        wp_register_script(
            'botami-alpine',
            BOTAMI_PLUGIN_URL . 'assets/js/alpine.min.js',
            [],
            '2.x.x',
            true
        );

        wp_register_script(
            'botami-file-list',
            BOTAMI_PLUGIN_URL . 'assets/js/create-file-list.min.js',
            [],
            BOTAMI_VERSION,
            true
        );

        wp_register_script(
            'botami-flowbite',
            BOTAMI_PLUGIN_URL . 'assets/js/flowbite.min.js',
            [],
            '2.5.2',
            true
        );
        // Enqueue all assets
        wp_enqueue_style('botami-tailwind');
        wp_enqueue_style('botami-admin');
        wp_enqueue_script('botami-alpine');
        wp_enqueue_script('botami-file-list');
        wp_enqueue_script('botami-flowbite');
    }
}